Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### ceil()

Examples

    float x = 8.22;
    int a = ceil(x);  // Set "a" to 9

Description | Calculates the closest int value that is greater than or equal to the value of the parameter. For example, ceil(9.03) returns the value 10.

Syntax

    ceil(value)

Parameters

value | float

Returns | int
Usage | Web & Application
Related | floor() round()

Updated on November 22, 2008 08:39:26pm PST